---
lang: en
title: 'API docs: testlab.httpsgetasync'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.testlab.httpsgetasync.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [httpsGetAsync](./testlab.httpsgetasync.md)

## httpsGetAsync() function

Async wrapper for making HTTPS GET requests

<b>Signature:</b>

```typescript
export declare function httpsGetAsync(urlString: string): Promise<IncomingMessage>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  urlString | <code>string</code> |  |

<b>Returns:</b>

`Promise<IncomingMessage>`


